aboutsummaryrefslogtreecommitdiff
path: root/examples/topdf
diff options
context:
space:
mode:
authorHans-Christoph Steiner <eighthave@users.sourceforge.net>2010-04-12 22:26:38 +0000
committerHans-Christoph Steiner <eighthave@users.sourceforge.net>2010-04-12 22:26:38 +0000
commit48d170d5d50bb84a96d249f17e2048c48270ea97 (patch)
tree6f4ad76ffb0031ca29e185bf8112b248f6c8402f /examples/topdf
parent40341076a954c0f54449c06a82034c6e267c57d5 (diff)
consolidated 'pddp' lib stuff into a single place to make a libdir, ease Debian packaging, and remove the pddpserver
svn path=/trunk/externals/pddp/; revision=13424
Diffstat (limited to 'examples/topdf')
-rwxr-xr-xexamples/topdf23
1 files changed, 23 insertions, 0 deletions
diff --git a/examples/topdf b/examples/topdf
new file mode 100755
index 0000000..adf4b43
--- /dev/null
+++ b/examples/topdf
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+usage () {
+ cat << EOF
+usage: topdf <pddpsource>.xml
+EOF
+}
+
+[ "$#" == 0 ] && { usage; exit 1; }
+
+SOURCE_NAME="$(basename $1)"
+SOURCE_STUB="$(basename $SOURCE_NAME .xml)"
+
+[ $SOURCE_STUB == $SOURCE_NAME ] && { usage; exit 1; }
+
+xmllint >/dev/null --xinclude --postvalid $1
+xsltproc --nonet --xinclude \
+ -o "$SOURCE_STUB.fo" \
+ /usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl \
+ $1
+
+# FIXME need to run this twice, it should be check-wrapped too
+pdfxmltex "$SOURCE_STUB.fo"